---
updatedAt: 2026-07-26T12:31:37.000Z
agentTools:
  siteIndex: https://docs.jfrog.com/llms.txt
  projectIndex: https://docs.jfrog.com/security/llms.txt
---

# Get Violations Report Content

Retrieves the content of a previously generated Violations report by its ID. Results are paginated; all pagination query parameters are mandatory.

For Xray version 3.21.2 and above with Projects, a Project Admin with Manage Security Assets privilege can access report content in the scope of a project by using the additional query parameter `projectKey`.

Requires a user with the Manage Reports role. Since Xray 3.11.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Xray REST APIs",
    "description": "Combined JFrog Xray REST API specification (all endpoints).",
    "version": "3.140"
  },
  "servers": [
    {
      "url": "https://jf.example.com/xray",
      "description": "JFrog Platform (Xray)"
    }
  ],
  "security": [
    {
      "basicAuth": []
    }
  ],
  "paths": {
    "/api/v1/reports/violations/{id}": {
      "post": {
        "operationId": "get-violations-report-content",
        "summary": "Get Violations Report Content",
        "description": "Retrieves the content of a previously generated Violations report by its ID. Results are paginated; all pagination query parameters are mandatory.\n\nFor Xray version 3.21.2 and above with Projects, a Project Admin with Manage Security Assets privilege can access report content in the scope of a project by using the additional query parameter `projectKey`.\n\nRequires a user with the Manage Reports role. Since Xray 3.11.\n",
        "tags": [
          "Reports V1"
        ],
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "The unique identifier of the violations report.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "direction",
            "in": "query",
            "description": "Sort direction: asc or desc.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "page_num",
            "in": "query",
            "description": "Page number (starting at 1).",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "num_of_rows",
            "in": "query",
            "description": "Number of rows per page.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "order_by",
            "in": "query",
            "description": "Field to sort by. One of: type, summary, severity, updated, impacted_artifact, path, vulnerable_component, cves, cvss2_max_score, cvss3_max_score.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "projectKey",
            "in": "query",
            "description": "Project scope (when Projects are enabled).",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK - Violations report content retrieved successfully",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "total_rows": {
                      "type": "integer",
                      "description": "Total number of rows in the report."
                    },
                    "rows": {
                      "type": "array",
                      "description": "List of violation report rows.",
                      "items": {
                        "type": "object",
                        "properties": {
                          "type": {
                            "type": "string",
                            "description": "Violation type: security, license, operational_risk."
                          },
                          "vulnerable_component": {
                            "type": "string"
                          },
                          "impacted_artifact": {
                            "type": "string"
                          },
                          "path": {
                            "type": "string"
                          },
                          "watch_name": {
                            "type": "string"
                          },
                          "summary": {
                            "type": "string"
                          },
                          "policy_names": {
                            "type": "array",
                            "items": {
                              "type": "string"
                            }
                          },
                          "severity": {
                            "type": "string"
                          },
                          "package_type": {
                            "type": "string"
                          },
                          "issue_id": {
                            "type": "string"
                          },
                          "updated": {
                            "type": "string"
                          },
                          "cves": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "cvss_v2_score": {
                                  "type": "number"
                                },
                                "cvss_v2_vector": {
                                  "type": "string"
                                },
                                "cvss_v3_score": {
                                  "type": "number"
                                },
                                "cvss_v3_vector": {
                                  "type": "string"
                                }
                              }
                            }
                          },
                          "cvss2_max_score": {
                            "type": "number"
                          },
                          "cvss3_max_score": {
                            "type": "number"
                          },
                          "fixed_versions": {
                            "type": "array",
                            "items": {
                              "type": "string"
                            }
                          },
                          "license_key": {
                            "type": "string"
                          },
                          "license_name": {
                            "type": "string"
                          },
                          "published": {
                            "type": "string"
                          },
                          "artifact_scan_time": {
                            "type": "string"
                          },
                          "provider": {
                            "type": "string"
                          },
                          "status": {
                            "type": "string"
                          },
                          "project_keys": {
                            "type": "array",
                            "items": {
                              "type": "string"
                            }
                          }
                        }
                      }
                    }
                  }
                },
                "example": {
                  "total_rows": 6,
                  "rows": [
                    {
                      "type": "security",
                      "vulnerable_component": "lodash",
                      "impacted_artifact": "docker://docker-violations:latest",
                      "path": "docker-local/docker-violations/latest/",
                      "watch_name": "HighVulnWatch",
                      "summary": "Lodash Package for Node.js lodash.js baseSet() Function Prototype Pollution DoS",
                      "policy_names": [
                        "HighVuln"
                      ],
                      "severity": "High",
                      "package_type": "npm",
                      "issue_id": "XRAY-121295",
                      "updated": "2020-08-31T16:01:42.640+03:00",
                      "cves": [
                        {
                          "cvss_v2_score": 7.1,
                          "cvss_v2_vector": "CVSS:2.0/AV:N/AC:M/Au:N/C:N/I:N/A:C"
                        }
                      ],
                      "cvss2_max_score": 7.1
                    },
                    {
                      "type": "license",
                      "vulnerable_component": "gav://io.netty:netty-handler-proxy:4.1.48.Final",
                      "impacted_artifact": "generic://sha256:86ade4e074d/jfrog-artifactory-oss-7.7.3-linux.tar.gz",
                      "path": "generic-local/jfrog-artifactory-oss-7.7.3-linux.tar.gz",
                      "watch_name": "AnyWatchLicense",
                      "summary": "The Apache Software License, Version 2.0",
                      "policy_names": [
                        "BanApacheLicense2",
                        "BanApacheLicense"
                      ],
                      "severity": "High",
                      "package_type": "maven",
                      "license_name": "Apache-2.0"
                    }
                  ]
                }
              }
            }
          },
          "400": {
            "description": "Bad request.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Report not found.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal server error.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "basicAuth": {
        "type": "http",
        "scheme": "basic",
        "description": "Basic authentication using username/password or API key"
      }
    }
  },
  "tags": [
    {
      "name": "Reports V1",
      "description": "APIs from Reports V1"
    }
  ]
}
```